package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformShowQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.PlatformVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface PlatformServiceI {
	PlatformVO create(PlatformCreateCmd platformCreateCmd);

	PageDTO<PlatformVO> page(PlatformPageQry platformPageQry);

	List<PlatformVO> list(PlatformListQry platformListQry);

	PlatformVO update(PlatformUpdateCmd platformUpdateCmd);

	PlatformVO show(PlatformShowQry platformShowQry);

	void destroy(PlatformDestroyCmd platformDestroyCmd);
}
